Loading...
Searching...
No Matches
find_etc.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
Include dependency graph for find_etc.c:

Go to the source code of this file.

## Functions

char * | G_find_etc (const char *name)
| searches for a file from the etc search list in GRASS_ADDON_ETC returns the full path to where the file was found.

## Function Documentation

## G_find_etc()

char * G_find_etc | ( | const char * | name | ) |

searches for a file from the etc search list in GRASS_ADDON_ETC returns the full path to where the file was found.

note: rejects all names that begin with "."

Parameters

  name | file name to look for

Returns
  pointer to a string with full path to where file was found, or NULL if not found

Definition at line 62 of file find_etc.c.

References name.